[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Upgrade procedure for tetex

I've been following this thread for quite some time now.

Since the functionality of the old tex packages has problems anyway,
we'll move to tetex for Debian 1.3 _if_ you can have those packages
moved into unstable before the freeze at the end of the week.

Once the freeze happens, there will be no such major changes.

During the upcoming month, you'll have to do a lot of work to make
these packages install smoothly.  I'll be asking the testing guys
to beat on them fairly harshly.

Please try to make it fail-safe.  Perhaps a check in the "preinst" script
to verify that the conflicts/replaces constructs did what they were
supposed to do and a text message describing the actions to take should
the install fail for some reason.

The tetex package will probably have to provide "latex" and "tex", but
I'm not sure what else.

I don't know if splitting tetex into "-base" and "-bin" is going to
help much either.  I assume that both are build from the same source
and thus if one changes there will be a new upload of both binary
packages.  People are likely to upgrade both even if the large one
is unchanged from the previous version.

                                 ( bcwhite@verisim.com )

     measure with micrometer, mark with chalk, cut with axe, hope like hell

Reply to: